Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451185 - Kernel panic: Aiee, killing interrupt handler
Summary: Kernel panic: Aiee, killing interrupt handler
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jeff Garzik
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 09:36 UTC by Cheng Ho Lin
Modified: 2013-07-03 02:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-08 05:01:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Cheng Ho Lin 2008-06-13 09:36:11 UTC
Description of problem:

On our platform of RHEL5.0 x86_64,
the bug of "kernel panic - not syncing : Aiee, killing interrupt handler!" 
occurs from time to time. The call trace on our platform was listed as follows:

Call Trace:<IRQ> <ffffffff801c2744>{cfq_put_request+87}
<ffffffff801da304>{__blk_put_request+105}<ffffffff88007274>
{:scsi_mod:scsi_end_request+166}
<ffffffff880074a1>{:scsi_mod:scsi_io_completion+519}
<ffffffff8803aa19>{:libata:ata_scsi_qc_complete+114}
<ffffffff8802c156>{:sd_mod:sd_rw_intr+576}<ffffffff8800773b>
{:scsi_mod:scsi_device_unbusy+94}
<ffffffff801dbf88>{blk_done_softirq+113}<ffffffff801358ca>{__do_softirq+85}
<ffffffff8010b95a>{call_softirq+30}<ffffffff8010c8b8>{do_softirq+44}
<ffffffff8010cc71>{do_IRQ+64}<ffffffff801098c2>{mwait_idle+0}
<ffffffff8010acb8>{ret_from_intr+0}<EOI><ffffffff801098f8>{mwait_idle+54}
<ffffffff8010989f>{cpu_idle+151}<ffffffff8046076e>{start_kernel+465}
<ffffffff80460298>{_sinittext+664}

Code: 0f 0b 68 bb b6 2f 80 c2 c1 0d f0 ff 0b 0f 94 c0 84 c0 74 3d
RIP <ffffffff801d8e20>{put_io_context+15} RSP <ffffffff803b2de8>
<0>Kernel panic - not syncing: Aiee, killing interrupt handler!
------------- [cut here ] --------------- [please bit here ] -------------
Kernel BUG at block/ll_rw_blk.c:3521
invalid opcode: 0000 [2] SMP
last sysfs file: /devices/pci0000:00/0000:00:1d.2/usb5/5-2/serial
CPU 1
Modules linked in: loop usbhid usb_storage ide_core ehci_hcd uhci_hcd usbcore 
e1000 floppy reiserfs dm_sna
transport_fc mptsas scsi_transport_sas mptspi scsi_transport_spi mptlan mptctl 
mptscsih mptbase edd dm_mod
od processor sg cdrom ata_piix libata sd_mod scsi_mod
Pid: 2511, comm: rm
RIP: 0010:[<ffffffff801d8e20>] <ffffffff801d8e20> {put_io_context+15}


Steps to Reproduce:
1. warm boot
2. execute /sbin/reboot in cron to reboot again
  
Actual results:

kernel panic on rebooting

Expected results:

OS reboot again and again to perform warm boot testing.

Comment 1 Cheng Ho Lin 2008-06-13 09:40:04 UTC
Besides, sometimes kernel panic (Aiee, killing interrupt handler) occurs on 
booting rather than rebooting. Please help me to solve this problem.

Comment 2 Prarit Bhargava 2008-06-13 12:03:54 UTC
Fred, have you tested with a newer kernel?

Comment 3 Cheng Ho Lin 2008-06-16 01:07:23 UTC
After testing 2 days, The kernel panic (Aiee, killing interrupt handler) does 
not occur on newer kernel yet. However, I still want to solve this problem on 
old kernel.

Comment 4 Cheng Ho Lin 2008-06-16 06:03:11 UTC
After testing 2 days, The kernel panic (Aiee, killing interrupt handler) does 
not occur on newer kernel yet. However, I still want to solve this problem on 
old kernel.


Note You need to log in before you can comment on or make changes to this bug.